<?php
/**
 * Main functionality handler for the plugin.
 *
 * @package voidempo
 */

/**
 * Class that handles main plugin operations.
 */
class VOIDEMPO_Main_Call {
	/**
	 * Constructor for the VOIDEMPO_Main_Call class.
	 */
	public function __construct() {

		include __DIR__ . '/class-voidempo-includes.php';
		$VOIDEMPO_class_includes = new VOIDEMPO_Includes();

		include __DIR__ . '/class-voidempo-assets.php';
		$VOIDEMPO_class_includes = new VOIDEMPO_Assets();

		include __DIR__ . '/class-voidempo-task.php';
		$VOIDEMPO_class_includes = new VOIDEMPO_Task();

		include __DIR__ . '/class-voidempo-leave-application.php';
		$VOIDEMPO_class_includes = new VOIDEMPO_Leave_Application();

		include __DIR__ . '/class-voidempo-leave.php';
		$VOIDEMPO_class_includes = new VOIDEMPO_Leave();

		include __DIR__ . '/class-voidempo-holidays.php';
		$VOIDEMPO_class_holidays = new VOIDEMPO_Holidays();
	}
}
